org.eclipse.jetty.util.ajax

## Interface JSON.Convertor

- All Known Implementing Classes:
    JSONDateConvertor, JSONEnumConvertor, JSONObjectConvertor, JSONPojoConvertor, JSONPojoConvertorFactory
  Enclosing class:
    JSON

      public static interface JSON.Convertor

  Static JSON Convertor.

  may be implemented to provide static convertors for objects that may be registered with `JSON.registerConvertor(Class, org.eclipse.jetty.util.ajax.JSON.Convertor)` . These convertors are looked up by class, interface and super class by `JSON.getConvertor(Class)`. Convertors should be used when the classes to be converted cannot implement `JSON.Convertible` or `JSON.Generator`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `fromJSON(Map object)`
    `void` | `toJSON(Object obj, JSON.Output out)`

- - ### Method Detail

    - #### toJSON

          void toJSON(Object obj,
                    JSON.Output out)

    - #### fromJSON

          Object fromJSON(Map object)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.